Subject: Re: [bug, netconsole, SLUB] BUG skbuff_head_cache: Poison overwritten

From: Ingo Molnar <[email-masked]>
Date: Fri, 18 Jul 2008 00:06:00 +0200

* David Miller <[email-masked]> wrote:

> From: Ingo Molnar <[email-masked]>
> Date: Thu, 17 Jul 2008 23:42:22 +0200
> 
> > 
> > A regression to v2.6.26:
> > 
> > I started getting this skb-head corruption message today, on a T60 
> > laptop with e1000:
> 
> This is very unlikely to be added by us networking folks, no 
> networking merges have happened for the 2.6.27 merge window yet :-)

yeah. That's why i observed:

> > Perhaps SLUB debugging got smarter?

and Cc:-ed SLUB folks. Could be a sleeper cell of bugs gone active ;-) 

Or could be SLUB (-debugging) breakage. Netconsole is pretty reliable on 
this box. (and the bootup continued just fine after this report)

Just re-tried it, the bug is reliably repeatable. Will try a bisection 
run.

	Ingo